#!/usr/bin/perl -w -I/usr/sausalito/perl -I.

# Copyright 2000, Cobalt Networks.  All rights reserved.
# $Id: 80_addHomeGroup.pl,v 1.2 2000/09/07 20:27:43 asun Exp $
# author: jmayer@cobalt.com

use strict;
use CCE;

my $errors = 0;

my $cce = new CCE;
$cce->connectuds();

my @oids = $cce->find("Workgroup", { 'name' => 'home' } );
if ($#oids <0) {
  $cce->create("Workgroup", { 
    'name' => 'home',
    'enabled' => '1',
    'dont_delete' => 'true',
    'description' => '[[base-workgroup.homeDescription]]',
    'desc_readonly' => 'true',
    'members' => '&admin&', } );
  my $oid = $cce->oid();
  $cce->set($oid, "Disk", { 'quota' => '1000' });
}

$cce->bye();
exit($errors);
	

